Summary:	Supplies technical and tag information about a video or audio file (CLI)
Summary(pl.UTF-8):	Informacje techniczne i znaczniki dla plików wideo i dźwiękowych (CLI)
Name:		mediainfo
Version:	0.7.61
Release:	1
License:	LGPL v2+
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/mediainfo/%{name}_%{version}.tar.bz2
# Source0-md5:	46fd776968ec1047cd2a5056a906cdf2
URL:		http://mediainfo.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libmediainfo-devel >= %{version}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libzen-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRequires:	wxGTK2-unicode-devel >= 2.6.0
BuildRequires:	zlib-devel
Requires:	libmediainfo >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MediaInfo CLI (Command Line Interface).

What information can I get from MediaInfo?
- General: title, author, director, album, track number, date,
  duration...
- Video: codec, aspect, fps, bitrate...
- Audio: codec, sample rate, channels, language, bitrate...
- Text: language of subtitle
- Chapters: number of chapters, list of chapters

Supported files: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Supported formats/containers:
- Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- Subtitles: SRT, SSA, ASS, SAMI

%description -l pl.UTF-8
Program MediaInfo działający z linii poleceń (CLI).

Dostępne są informacje:
- ogólne: tytuł, autor, reżyser, album, numer ścieżki, data, czas
  trwania...
- wideo: kodek, proporcje, liczba klatek na sekundę, pasmo...
- dźwięk: kodek, częstotliwość próbkowania, liczba kanałów, język,
  pasmo...
- tekst: język napisów
- książki: liczba rozdziałów, ich lista

Obsługiwane pliki: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Obsługiwane formaty/kontenery:
- wideo: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (kodeki: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- dźwięk: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- napisy: SRT, SSA, ASS, SAMI

%package gui
Summary:	Supplies technical and tag information about a video or audio file (GUI)
Summary(pl.UTF-8):	Informacje techniczne i znaczniki dla plików wideo i dźwiękowych (GUI)
Group:		X11/Applications/Multimedia
Requires:	kde-common-dirs >= 0.5
Requires:	libmediainfo >= %{version}
Requires:	libzen >= 0.4.9
Requires:	wxGTK2-unicode >= 2.6.0

%description gui
MediaInfo (Graphical User Interface).

What information can I get from MediaInfo?
- General: title, author, director, album, track number, date,
  duration...
- Video: codec, aspect, fps, bitrate...
- Audio: codec, sample rate, channels, language, bitrate...
- Text: language of subtitle
- Chapters: number of chapters, list of chapters

Supported files: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Supported formats/containers:
- Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- Subtitles: SRT, SSA, ASS, SAMI

%description gui -l pl.UTF-8
Program MediaInfo z graficznym interfejsem użytkownika (GUI).

Dostępne są informacje:
- ogólne: tytuł, autor, reżyser, album, numer ścieżki, data, czas
  trwania...
- wideo: kodek, proporcje, liczba klatek na sekundę, pasmo...
- dźwięk: kodek, częstotliwość próbkowania, liczba kanałów, język,
  pasmo...
- tekst: język napisów
- książki: liczba rozdziałów, ich lista

Obsługiwane pliki: DivX, XviD, H263, H.263, H264, x264, ASP, AVC,
iTunes, MPEG-1, MPEG1, MPEG-2, MPEG2, MPEG-4, MPEG4, MP4, M4A, M4V,
QuickTime, RealVideo, RealAudio, RA, RM, MSMPEG4v1, MSMPEG4v2,
MSMPEG4v3, VOB, DVD, WMA, VMW, ASF, 3GP, 3GPP, 3GP2

Obsługiwane formaty/kontenery:
- wideo: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
  MPEG-4, DVD (VOB) (kodeki: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
- dźwięk: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF
- napisy: SRT, SSA, ASS, SAMI

%prep
%setup -q -n MediaInfo
%undos *.html *.txt Release/*.txt
chmod 644 *.html *.txt Release/*.txt

%build
# build CLI
cd Project/GNU/CLI
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}
# now build GUI
cd ../../../Project/GNU/GUI
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-wx-config=%{_bindir}/wx-gtk2-unicode-config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C Project/GNU/CLI install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C Project/GNU/GUI install \
	DESTDIR=$RPM_BUILD_ROOT

# icon
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install Source/Resource/Image/MediaInfo.png \
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -d $RPM_BUILD_ROOT%{_pixmapsdir}
install Source/Resource/Image/MediaInfo.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

# menu-entry
install -d $RPM_BUILD_ROOT%{_desktopdir}
install Project/GNU/GUI/mediainfo-gui.desktop \
	$RPM_BUILD_ROOT%{_desktopdir}
install -d $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus
install Project/GNU/GUI/mediainfo-gui.kde3.desktop \
	$RPM_BUILD_ROOT/%{_datadir}/apps/konqueror/servicemenus/mediainfo-gui.desktop
install -d $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus
install Project/GNU/GUI/mediainfo-gui.kde4.desktop \
	$RPM_BUILD_ROOT/%{_datadir}/kde4/services/ServiceMenus/mediainfo-gui.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc License.html History_CLI.txt Release/ReadMe_CLI_Linux.txt
%attr(755,root,root) %{_bindir}/mediainfo

%files gui
%defattr(644,root,root,755)
%doc License.html History_GUI.txt Release/ReadMe_GUI_Linux.txt
%attr(755,root,root) %{_bindir}/mediainfo-gui
%{_desktopdir}/mediainfo-gui.desktop
%{_pixmapsdir}/mediainfo.png
%{_iconsdir}/hicolor/128x128/apps/mediainfo.png
%dir %{_datadir}/apps/konqueror/servicemenus
%{_datadir}/apps/konqueror/servicemenus/mediainfo-gui.desktop
%{_datadir}/kde4/services/ServiceMenus/mediainfo-gui.desktop
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mediainfo.git;a=log;h=master

* Sat Nov 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 01bcd4a
- cleanup, pl

* Thu Oct 25 2012 Karol Krenski <charles@pld-linux.org> 1b70191
- up to 0.7.61

* Sun Oct 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c27c723
- up to 0.7.60

* Sat Jul 16 2011 Karol Krenski <charles@pld-linux.org> c25c120
- updated to 0.7.47

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> a36e950
- sync with libmediainfo (versions)

* Thu Apr 28 2011 Karol Krenski <charles@pld-linux.org> 42828fd
- updated to 0.7.44

* Sat Feb 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 72b2751
- up to 0.7.39

* Thu Sep 30 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 39bb921
- up to 0.7.35

* Wed May 19 2010 shadzik <shadzik@pld-linux.org> 459be30
- konqueror dir is wrong too
- gui R: kde-common-dirs
- rel 3

* Wed May 19 2010 shadzik <shadzik@pld-linux.org> a00969f
- rel 2

* Wed May 19 2010 shadzik <shadzik@pld-linux.org> 1bc7cca
- don't own kde4 dirs

* Sat Mar 27 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e2afef7
- up to 0.7.30

* Wed Mar 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c7cbc66
- up to 0.7.29

* Fri Feb 26 2010 sparky <sparky@pld-linux.org> 5bd789e
- gui files: don't own dirs which belong to hicolor-icon-theme and
  kde-common-dirs

* Sun Feb 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 06d8d45
- up to 0.7.28

* Sat Dec 05 2009 Karol Krenski <charles@pld-linux.org> a1645a6
- macros used, cleanups

* Sat Dec 05 2009 Karol Krenski <charles@pld-linux.org> ef7ebdf
- updated BRs

* Fri Dec 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bc0a38
- initial; builds but needs more work

